Redmine - Defect #40834

Copy Link generates incorrect link
2024-06-13 16:01 - Bruce Bongo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:
When using the "Copy Link" button/function in a ticket, a link containing "localhost:3000/" is generated. The hostname is correctly
configured. The screenshot is from Redmine 5.0.0, and the issue is reproducible in version 5.1.3 as well.

Regards Bruce

History

#1 - 2024-06-14 15:07 - Holger Just

- Status changed from New to Closed

You have to configure your webserver / proxy server to pass on the externally used Host header to the Redmine application. With nginx, you can use
something like this, depending on your actual webserver configuration:

proxy_set_header Host S$host;

See e.g. https://serverfault.com/a/598269/51320 for some additional considerations.

#2 - 2024-06-14 17:10 - Bruce Bongo

thank you, it solved the problem
